<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
class PurchaseOrderLine extends Model {
    protected $guarded = ['id'];
    public $timestamps = false;
    public function order() { return $this->belongsTo(PurchaseOrder::class, 'purchase_order_id'); }
    public function item() { return $this->belongsTo(StockItem::class, 'item_id'); }
    public function product() { return $this->belongsTo(Product::class); }
    public function unit() { return $this->belongsTo(Unit::class); }
}
